<?php
$this->breadcrumbs=array(
	'Emails'=>array('index'),
	'Manage',
);

$this->menu=array(
	array('label'=>'List EMails', 'url'=>array('index')),
	array('label'=>'Create EMails', 'url'=>array('create')),
);

Yii::app()->clientScript->registerScript('search', "
$('.search-button').click(function(){
	$('.search-form').toggle();
	return false;
});
$('.search-form form').submit(function(){
	$.fn.yiiGridView.update('emails-grid', {
		data: $(this).serialize()
	});
	return false;
});
");
?>

<h1>Manage Emails</h1>

<p>
You may optionally enter a comparison operator (<b>&lt;</b>, <b>&lt;=</b>, <b>&gt;</b>, <b>&gt;=</b>, <b>&lt;&gt;</b>
or <b>=</b>) at the beginning of each of your search values to specify how the comparison should be done.
</p>

<?php echo CHtml::link('Advanced Search','#',array('class'=>'search-button')); ?>
<div class="search-form" style="display:none">
<?php $this->renderPartial('_search',array(
	'model'=>$model,
)); ?>
</div><!-- search-form -->

<?php $this->widget('zii.widgets.grid.CGridView', array(
	'id'=>'emails-grid',
	'dataProvider'=>$model->search(),
	'filter'=>$model,
	'columns'=>array(
		//'id',
		//'userId',
		/*'unseen',
		'flagged',
		'answered',*/
		array(  'name' => 'timestamp',
                        'value' => array($model, 'renderTimestamp')), 
		'subject',
		array(  'name' => 'to_personal',
                        'value' => array($model, 'renderTo')),
		array(  'name' => 'from_personal',
                        'value' => array($model, 'renderFrom')), 
		/*
		'to_mailbox',
		'to_host',
		'from_personal',
		'from_mailbox',
		'from_host',
		'reply_to_personal',
		'reply_to_mailbox',
		'reply_to_host',
		'recent',
		'unseen',
		'flagged',
		'answered',
		'deleted',
		'draft',
		'msgno',
		'maildate',
		'size',
		'body_raw',
		*/
		array(
			'class'=>'CButtonColumn',
		),
	),
)); ?>
